# frozen_string_literal: true

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "socketry/async/version"

Gem::Specification.new do |spec|
  spec.name          = "socketry-async"
  spec.version       = Socketry::Async::VERSION
  spec.authors       = ["Tony Arcieri"]
  spec.email         = ["bascule@gmail.com"]
  spec.licenses      = ["MIT"]
  spec.homepage      = "https://github.com/socketry/socketry-async/"
  spec.summary       = "Asynchronous I/O framework based on socketry, promise.rb, and nio4r"
  spec.description   = <<-DESCRIPTION.strip.gsub(/\s+/, " ")
    Socketry::Async provides a modern asynchronous I/O framework for Ruby based
    on the Socketry, promise.rb, nio4r gems
  DESCRIPTION

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.2.6"

  spec.add_runtime_dependency "socketry", "~> 0.5"
  spec.add_runtime_dependency "promise",  "~> 0.3"
  spec.add_runtime_dependency "nio4r",    "~> 2"

  spec.add_development_dependency "bundler", "~> 1.0"
end
